package com.ruoyi.project.system.service.impl;

import java.util.List;
import org.springframework.stereotype.Service;
import com.ruoyi.project.system.mapper.TAlarmhistoryMapper;
import com.ruoyi.project.system.domain.TAlarmhistory;
import com.ruoyi.project.system.service.ITAlarmhistoryService;

import javax.annotation.Resource;

/**
 * 报警记录管理Service业务层处理
 *
 * @author ruoyi
 * @date 2021-01-11
 */
@Service
public class TAlarmhistoryServiceImpl implements ITAlarmhistoryService
{
    @Resource
    private TAlarmhistoryMapper tAlarmhistoryMapper;

    /**
     * 查询报警记录管理
     *
     * @param id 报警记录管理ID
     * @return 报警记录管理
     */
    @Override
    public TAlarmhistory selectTAlarmhistoryById(Long id)
    {
        return tAlarmhistoryMapper.selectTAlarmhistoryById(id);
    }

    /**
     * 首页查询报警记录管理
     *
     * @param tAlarmhistory 报警记录管理
     * @return 报警记录管理集合
     */
    @Override
    public List<TAlarmhistory> selectHomeList(TAlarmhistory tAlarmhistory) {
        return tAlarmhistoryMapper.selectHomeList(tAlarmhistory);
    }

    /**
     * 查询报警记录管理列表
     *
     * @param tAlarmhistory 报警记录管理
     * @return 报警记录管理
     */
    @Override
    public List<TAlarmhistory> selectTAlarmhistoryList(TAlarmhistory tAlarmhistory)
    {
        return tAlarmhistoryMapper.selectTAlarmhistoryList(tAlarmhistory);
    }

    /**
     * 新增报警记录管理
     *
     * @param tAlarmhistory 报警记录管理
     * @return 结果
     */
    @Override
    public int insertTAlarmhistory(TAlarmhistory tAlarmhistory)
    {
        return tAlarmhistoryMapper.insertTAlarmhistory(tAlarmhistory);
    }

    /**
     * 修改报警记录管理
     *
     * @param tAlarmhistory 报警记录管理
     * @return 结果
     */
    @Override
    public int updateTAlarmhistory(TAlarmhistory tAlarmhistory)
    {
        return tAlarmhistoryMapper.updateTAlarmhistory(tAlarmhistory);
    }

    /**
     * 批量删除报警记录管理
     *
     * @param ids 需要删除的报警记录管理ID
     * @return 结果
     */
    @Override
    public int deleteTAlarmhistoryByIds(Long[] ids)
    {
        return tAlarmhistoryMapper.deleteTAlarmhistoryByIds(ids);
    }

    /**
     * 删除报警记录管理信息
     *
     * @param id 报警记录管理ID
     * @return 结果
     */
    @Override
    public int deleteTAlarmhistoryById(Long id)
    {
        return tAlarmhistoryMapper.deleteTAlarmhistoryById(id);
    }
}
